*************************************************************************
*	camt3.asm	 2-DEC-1991	Y.Takeuchi(TIT)			*
*									*
*	camasm camt3 a							*
*************************************************************************
ADC	equ	14			; CAMAC ADC
SCALER	equ	6			; CAMAC Scaler
TIMEOUT equ	2			; 2 sec
;
	MOVE	S,T			; Set loop counts
LOOP1	NDT	(9,SCALER,1)		; Clear Scaler
	READ.l	(0,SCALER,1)		; Read Scaler
	READ.l	(0,SCALER,1)		; Read Scaler
	SUB	#1,T			; T = T - 1
	BGT	#0,LOOP1		; If T > 0 goto LOOP1
;
	MOVE	#ADC,T			; SET LAM MASK (LIST_EXTENSION)
	MOVE	#1,A
SETMASK	SUB	#1,T
	MUL	#2,A
	BGT	#0,SETMASK
	DIV	#2,A
;
	ENBINT				; Int. enable
;
	MOVE	S,T
	ADD	#1,T
LOOP	MOVE	#TIMEOUT,A		; SET TIMEOUT (LIST_EXTENSION)
	WAITEVENT
	READ.l	(0,SCALER,2)		; Read Scaler
	NDT	(10,ADC,0)		; Clear LAM
	MOVE	T,S			; save T-register	
;
CLEAR	NDT	(9,SCALER,2)		; Clear Scaler
	READ.l	(0,SCALER,2),A		; Read Scaler
	MOVE	A,T
	BNE	#0,CLEAR		; If count != 0 goto CLEAR
;
	MOVE	S,T			; restore T-register
	SUB	#1,T
	BGT	#0,LOOP
;
	DSBINT				; Int. disenable
;
	STOP
	end
